---
suite: stress-ng
testcase: stress-ng
category: benchmark
nr_threads: 100%
testtime: 60s
stress-ng:
  test: cpu-online
job_origin: stress-ng-part1.yaml
queue_cmdline_keys:
- branch
- commit
- kbuild_queue_analysis
queue: bisect
testbox: lkp-icl-2sp8
tbox_group: lkp-icl-2sp8
job_file: "/lkp/jobs/scheduled/lkp-icl-2sp8/stress-ng-performance-100%-cpu-online-60s-debian-12-x86_64-20240206.cgz-2a2391f857cd-20240910-263187-1jph710-2.yaml"
id: f16c3127591994cd3b7eb618a029bf28ecb7b6e6
queuer_version: "/zday/lkp"
model: Ice Lake
nr_node: 2
nr_cpu: 64
memory: 256G
nr_ssd_partitions: 3
nr_hdd_partitions: 6
hdd_partitions: "/dev/disk/by-id/ata-WDC_WD20SPZX-22UA7T0_WD-WX82EA06CSLM-part*"
ssd_partitions:
- "/dev/disk/by-id/nvme-INTEL_SSDPE2KX020T8_PHLJ151400G62P0BGN-part1"
- "/dev/disk/by-id/nvme-INTEL_SSDPE2KX020T8_PHLJ151400G62P0BGN-part2"
- "/dev/disk/by-id/nvme-INTEL_SSDPE2KX020T8_PHLJ151400G62P0BGN-part3"
rootfs_partition: "/dev/disk/by-id/nvme-INTEL_SSDPE2KX020T8_PHLJ151400G62P0BGN-part4"
kernel_cmdline_hw: acpi_rsdp=0x69890014
result_service: tmpfs
LKP_SERVER: 10.239.97.5
avoid_nfs: 1
brand: Intel(R) Xeon(R) Gold 6346 CPU @ 3.10GHz
need_kconfig:
- XFS_ONLINE_SCRUB_STATS: n
- XFS_DEBUG: n
- XFS_WARN: y
- PM_DEBUG: n
- PM_SLEEP_DEBUG: n
- DEBUG_ATOMIC_SLEEP: n
- DEBUG_SPINLOCK_SLEEP: n
- CIFS_DEBUG: n
- SCSI_DEBUG: n
- NFS_DEBUG: n
- SUNRPC_DEBUG: n
- DM_DEBUG: n
- DEBUG_SHIRQ: n
- OCFS2_DEBUG_MASKLOG: n
- DEBUG_MEMORY_INIT: n
- BUG_ON_DATA_CORRUPTION: n
- DEBUG_LIST: n
- DEBUG_PLIST: n
- EXPERT: y
- PREEMPT_VOLUNTARY: y
- PREEMPT_NONE: n
- PREEMPT: n
- PREEMPT_RT: n
- PREEMPT_DYNAMIC: n
- PREEMPT_VOLUNTARY_BEHAVIOUR: y
- PREEMPT_BEHAVIOUR: n
- PREEMPT_NONE_BEHAVIOUR: n
- PREEMPT_DYNAMIC: n
- PREEMPT_VOLUNTARY: y
- PREEMPT_NONE: n
- PREEMPT: n
- PREEMPT_RT: n
kmsg:
boot-time:
uptime:
iostat:
heartbeat:
vmstat:
numa-numastat:
numa-vmstat:
numa-meminfo:
proc-vmstat:
proc-stat:
meminfo:
slabinfo:
interrupts:
lock_stat:
perf-sched:
  lite_mode: 1
softirqs:
bdi_dev_mapping:
diskstats:
nfsstat:
cpuidle:
cpufreq-stats:
turbostat:
sched_debug:
perf-stat:
mpstat:
perf-c2c:
perf-profile:
  debug_mode: 0
cpufreq_governor: performance
sanity-check:
commit: 2a2391f857cdc5cf16f8df030944cef8d3d2bc30
ucode: '0xd0003a5'
kconfig: x86_64-rhel-8.3
enqueue_time: 2024-09-10 23:19:11.699198074 +08:00
_rt: "/result/stress-ng/performance-100%-cpu-online-60s/lkp-icl-2sp8/debian-12-x86_64-20240206.cgz/x86_64-rhel-8.3/gcc-12/2a2391f857cdc5cf16f8df030944cef8d3d2bc30"
compiler: gcc-12
head_commit: 100cc857359b5d731407d1038f7e76cd0e871d94
base_commit: da3ea35007d0af457a0afc87e84fddaebc4e0b63
branch: linux-next/master
rootfs: debian-12-x86_64-20240206.cgz
user: lkp
scheduler_version: "/lkp/lkp/.src-20240910-175212"
arch: x86_64
max_uptime: 2100
initrd: "/osimage/debian/debian-12-x86_64-20240206.cgz"
bootloader_append:
- root=/dev/ram0
- RESULT_ROOT=/result/stress-ng/performance-100%-cpu-online-60s/lkp-icl-2sp8/debian-12-x86_64-20240206.cgz/x86_64-rhel-8.3/gcc-12/2a2391f857cdc5cf16f8df030944cef8d3d2bc30/0
- BOOT_IMAGE=/pkg/linux/x86_64-rhel-8.3/gcc-12/2a2391f857cdc5cf16f8df030944cef8d3d2bc30/vmlinuz-6.11.0-rc2-00356-g2a2391f857cd
- branch=linux-next/master
- job=/lkp/jobs/scheduled/lkp-icl-2sp8/stress-ng-performance-100%-cpu-online-60s-debian-12-x86_64-20240206.cgz-2a2391f857cd-20240910-263187-1jph710-2.yaml
- user=lkp
- ARCH=x86_64
- kconfig=x86_64-rhel-8.3
- commit=2a2391f857cdc5cf16f8df030944cef8d3d2bc30
- intremap=posted_msi
- acpi_rsdp=0x69890014
- max_uptime=2100
- LKP_SERVER=10.239.97.5
- nokaslr
- selinux=0
- debug
- apic=debug
- sysrq_always_enabled
- rcupdate.rcu_cpu_stall_timeout=100
- net.ifnames=0
- printk.devkmsg=on
- panic=-1
- softlockup_panic=1
- nmi_watchdog=panic
- oops=panic
- load_ramdisk=2
- prompt_ramdisk=0
- drbd.minor_count=8
- systemd.log_level=err
- ignore_loglevel
- console=tty0
- earlyprintk=ttyS0,115200
- console=ttyS0,115200
- vga=normal
- rw
modules_initrd: "/pkg/linux/x86_64-rhel-8.3/gcc-12/2a2391f857cdc5cf16f8df030944cef8d3d2bc30/modules.cgz"
bm_initrd: "/osimage/deps/debian-12-x86_64-20240206.cgz/run-ipconfig_20240904.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/lkp_20240216.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/rsync-rootfs_20240301.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/stress-ng_20240812.cgz,/osimage/pkg/debian-12-x86_64-20240206.cgz/stress-ng-x86_64-c939a40ad-1_20240910.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/iostat_20240229.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/perf_20240901.cgz,/osimage/pkg/debian-12-x86_64-20240206.cgz/perf-x86_64-431c1646e1f8-1_20240901.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/mpstat_20240221.cgz,/osimage/pkg/debian-12-x86_64-20240206.cgz/sar-x86_64-443ade20-1_20240301.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/hw_20240216.cgz"
ucode_initrd: "/osimage/ucode/intel-ucode-20230906.cgz"
lkp_initrd: "/osimage/user/lkp/lkp-x86_64.cgz"
site: inn
LKP_CGI_PORT: 80
LKP_CIFS_PORT: 139
oom-killer:
watchdog:
job_initrd: "/lkp/jobs/scheduled/lkp-icl-2sp8/stress-ng-performance-100%-cpu-online-60s-debian-12-x86_64-20240206.cgz-2a2391f857cd-20240910-263187-1jph710-2.cgz"
last_kernel: 6.11.0-rc7-22608-gd4c50cf014a3
acpi_rsdp: '0x6988d014'
repeat_to: 3
bad_samples:
- 9.46
- 10.0
- 9.89

#! queue options

#! user overrides
kbuild_queue_analysis: 1
kernel: "/pkg/linux/x86_64-rhel-8.3/gcc-12/2a2391f857cdc5cf16f8df030944cef8d3d2bc30/vmlinuz-6.11.0-rc2-00356-g2a2391f857cd"
result_root: "/result/stress-ng/performance-100%-cpu-online-60s/lkp-icl-2sp8/debian-12-x86_64-20240206.cgz/x86_64-rhel-8.3/gcc-12/2a2391f857cdc5cf16f8df030944cef8d3d2bc30/0"

#! schedule options

#! /db/releases/20240910200441/lkp-src/include/site/inn
dequeue_time: 2024-09-10 23:54:47.260077901 +08:00
job_state: finished
loadavg: 37.60 12.82 4.55 1/773 5204
start_time: '1725983755'
end_time: '1725983821'
version: "/lkp/lkp/.src-20240910-175212:27f482c7fe87:e61f6b77ad54"
